Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class YearMonth

    java.lang.Object
      org.apache.axis.types.YearMonth

All Implemented Interfaces:
  Serializable

public class YearMonth
extends Object
implements Serializable

Implementation of the XML Schema type gYearMonth

Author:
  Tom Jordahl
See Also:
  XML Schema 3.2.10, Serialized Form

Constructor Summary
`YearMonth(int year, int month)` Constructs a YearMonth with the given values No timezone is specified
`YearMonth(int year, int month, String timezone)` Constructs a YearMonth with the given values, including a timezone string The timezone is validated but not used.
`YearMonth(String source)` Construct a YearMonth from a String in the format [-]CCYY-MM

Method Summary
`boolean` | `equals(Object obj)`
`int` | `getMonth()`
`String` | `getTimezone()`
`int` | `getYear()`
`void` | `setMonth(int month)`
`void` | `setTimezone(String timezone)`
`void` | `setValue(int year, int month)`
`void` | `setValue(int year, int month, String timezone)`
`void` | `setYear(int year)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### YearMonth

    public YearMonth(int year,
                     int month)
              throws NumberFormatException

  Constructs a YearMonth with the given values No timezone is specified

### YearMonth

    public YearMonth(int year,
                     int month,
                     String timezone)
              throws NumberFormatException

  Constructs a YearMonth with the given values, including a timezone string The timezone is validated but not used.

### YearMonth

    public YearMonth(String source)
              throws NumberFormatException

  Construct a YearMonth from a String in the format [-]CCYY-MM

Method Detail

### getYear

    public int getYear()

### setYear

    public void setYear(int year)

### getMonth

    public int getMonth()

### setMonth

    public void setMonth(int month)

### getTimezone

    public String getTimezone()

### setTimezone

    public void setTimezone(String timezone)

### setValue

    public void setValue(int year,
                         int month,
                         String timezone)
                  throws NumberFormatException

  Throws:
    `NumberFormatException`

### setValue

    public void setValue(int year,
                         int month)
                  throws NumberFormatException

  Throws:
    `NumberFormatException`

### toString

    public String toString()

### equals

    public boolean equals(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.